Subject: bug#21242: 24.5.1; python.el: should display output buffer on exceptions when using python-shell-send-region

From: Andreas Röhler <[email-masked]>
Date: Thu, 13 Aug 2015 08:48:41 +0200

Am 12.08.2015 um 16:05 schrieb Yuri D'Elia:
> When evaluating the code interactively, there's currently no
> notification about evaluation errors. Exceptions in the output buffer go
> simply unnoticed, unless you watch for them closely. I like to keep the
> output buffer buried, and assume that no-notification==no-error.
>
> Exceptions caused by interactive evaluation should either:
>
> - show a notification of sorts in the minibuffer
> - display the output buffer for inspection
>
> For inspiration about the second, see:
>
> https://github.com/wavexx/python-x.el/blob/master/python-x.el#L424
>
> Given previous experience with python-mode.el (which tends to break the
> current window layout with his own splitting logic), I find it important
> that the notification function (which displays the output buffer) should
> be customizable, and this is reflected in the example code.

WRT python-mode.el:

Splitting-behavior _is_ customizable. It only occurs if 
py-split-window-on-execute is non-nil - default is 'just-two.
Also there is py-keep-windows-configuration, when non-nil it precedes 
other settings.